services:

  webapp:
    image: !reset null
    build:
      context: .
      dockerfile: docker/webapp/Dockerfile
      target: dev
    volumes:
        - ./:/var/www/html:rw
    environment:
        APP_ENV: ${APP_ENV:-dev}
        APP_DEBUG: ${APP_DEBUG:-1}
        APP_ADMIN_PASSWORD: $APP_ADMIN_PASSWORD
        NPM_TOKEN: $NPM_TOKEN
        POSTGRES_HOST_TEST: ${POSTGRES_HOST_TEST:-postgres-test}
        POSTGRES_DB_TEST: ${POSTGRES_DB_TEST:-webdelib_testunit}
        PASTELL_LOGIN_FAST: ${PASTELL_LOGIN_FAST}
        PASTELL_PWD_FAST: ${PASTELL_PWD_FAST}
        PASTELL_IDE_FAST: ${PASTELL_IDE_FAST}
        PASTELL_LOGIN_PARAPHEUR: ${PASTELL_LOGIN_PARAPHEUR}
        PASTELL_PWD_PARAPHEUR: ${PASTELL_PWD_PARAPHEUR}
        PASTELL_IDE_PARAPHEUR: ${PASTELL_IDE_PARAPHEUR}
    depends_on:
        - flow
        - cloudooo
        - postgres
        - postgres-test
    networks:
      wd-frontend:
        aliases:
          - webdelib-behat.local
      wd-backend:
        aliases:
          - webdelib-behat.local

  behat:
    container_name: wd-behat
    build:
      context: ./docker/behat
      dockerfile: Dockerfile
      target: dev
    depends_on:
      - selenium-hub
    volumes:
      - ./features:/src/features:rw
      - ./docker/behat/behat.yml:/src/behat.yml:rw
    environment:
      APP_ENV: dev
      APP_ADMIN_PASSWORD: $APP_ADMIN_PASSWORD
    stdin_open: true
    tty: true
    networks:
      - wd-frontend

  selenium-hub:
    image: selenium/hub:4.27.0-20241204
    container_name: wd-selenium-hub
    ports:
      - 4442-4444:4442-4444
    environment:
      - SE_ENABLE_TRACING=false
    networks:
      - wd-frontend

  selenium-firefox:
    image: selenium/node-firefox:4.27.0-20241204
    container_name: wd-selenium-firefox
    depends_on:
      - selenium-hub
    networks:
      - wd-frontend
    shm_size: '2gb'
    volumes:
      - ./features:/var/www/html/features:rw
    ports:
      - 7900:7900
      - 5900:5900
    environment:
      - SE_EVENT_BUS_HOST=wd-selenium-hub
      - SE_EVENT_BUS_PUBLISH_PORT=4442
      - SE_EVENT_BUS_SUBSCRIBE_PORT=4443
      - SE_ENABLE_TRACING=false
      - SE_VNC_NO_PASSWORD=true

  selenium-chrome:
    image: selenium/node-chrome:4.27.0-20241204
    container_name: wd-selenium-chrome
    depends_on:
      - selenium-hub
    networks:
      - wd-frontend
    shm_size: '2gb'
    volumes:
      - ./features:/var/www/html/features:rw
    ports:
      - 7901:7900
      - 5901:5900
    environment:
      - SE_EVENT_BUS_HOST=wd-selenium-hub
      - SE_EVENT_BUS_PUBLISH_PORT=4442
      - SE_EVENT_BUS_SUBSCRIBE_PORT=4443
      - SE_ENABLE_TRACING=false
      - SE_VNC_NO_PASSWORD=true

  lspdf2odt:
    ports:
      - 8000:80

  postgres:
    ports:
      - 5432:5432

  postgres-test:
    image: hubdocker.libriciel.fr/postgres:17-alpine
    restart: unless-stopped
    container_name: wd-postgres-test
    networks:
      - wd-backend
    environment:
      POSTGRES_DB: ${POSTGRES_DB_TEST:-webdelib_testunit}
      POSTGRES_USER: ${POSTGRES_USER:-webdelib}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-webdelib}
    ports:
      - 5433:5432

  ldap:
    image: rroemhild/test-openldap
    restart: unless-stopped
    container_name: wd-ldap
    networks:
      - wd-backend
    ports:
      - 10636:10636
      - 10389:10389

  mailhog:
    image: mailhog/mailhog
    restart: unless-stopped
    container_name: wd-mailhog
    networks:
      - wd-frontend
      - wd-backend
    ports:
      - 1025:1025 # smtp server
      - 8025:8025 # web ui

  collabora:
    image: hubdocker.libriciel.fr/collabora/code:22.05.5.4.1
    restart: unless-stopped
    container_name: wd-collabora
    cap_add:
      - MKNOD
    ports:
      - 9982:9980
    networks:
      - wd-frontend
      - wd-backend
    environment:
      - "extra_params=--o:ssl.enable=true --o:storage.filesystem[@allow]=true --o:admin_console.username=admin --o:admin_console.password=admin"
      - 'dictionaries="fr_FR"'
      - domain=collabora.localhost

  portainer-ce:
    networks:
      - wd-frontend
      - wd-backend

  onlyoffice:
    image: hubdocker.libriciel.fr/onlyoffice/documentserver
    restart: unless-stopped
    container_name: wd-onlyoffice
    ports:
      - 9881:80
    tty: true
    networks:
      - wd-frontend
      - wd-backend
#    environment:
#      - WOPI_ENABLED=true
#      - DOCKER_CONTAINER_ID=docker
    volumes:
      - ./docker/onlyoffice/local.json:/etc/onlyoffice/documentserver/local.json:rw

  libriciel-feedback: null